<?php
/**
 * @file
 * materio_administration.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function materio_administration_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'access admin theme'.
  $permissions['access admin theme'] = array(
    'name' => 'access admin theme',
    'roles' => array(
      'Translator CN' => 'Translator CN',
      'Translator EN' => 'Translator EN',
      'Translator FR' => 'Translator FR',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'admin_theme',
  );

  // Exported permission: 'access administration menu'.
  $permissions['access administration menu'] = array(
    'name' => 'access administration menu',
    'roles' => array(
      'Translator CN' => 'Translator CN',
      'Translator EN' => 'Translator EN',
      'Translator FR' => 'Translator FR',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'access workflow summary views'.
  $permissions['access workflow summary views'] = array(
    'name' => 'access workflow summary views',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'workflow_views',
  );

  // Exported permission: 'access_translation_table_content_type'.
  $permissions['access_translation_table_content_type'] = array(
    'name' => 'access_translation_table_content_type',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'access_translation_table_fields'.
  $permissions['access_translation_table_fields'] = array(
    'name' => 'access_translation_table_fields',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'access_translation_table_menu'.
  $permissions['access_translation_table_menu'] = array(
    'name' => 'access_translation_table_menu',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'access_translation_table_taxonomy'.
  $permissions['access_translation_table_taxonomy'] = array(
    'name' => 'access_translation_table_taxonomy',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'access_translations_overview'.
  $permissions['access_translations_overview'] = array(
    'name' => 'access_translations_overview',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'administer entity translation'.
  $permissions['administer entity translation'] = array(
    'name' => 'administer entity translation',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'administer remove_duplicates'.
  $permissions['administer remove_duplicates'] = array(
    'name' => 'administer remove_duplicates',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'remove_duplicates',
  );

  // Exported permission: 'administer workflow'.
  $permissions['administer workflow'] = array(
    'name' => 'administer workflow',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'workflow_admin_ui',
  );

  // Exported permission: 'assign Adhérent role'.
  $permissions['assign Adhérent role'] = array(
    'name' => 'assign Adhérent role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Contact opérationnel role'.
  $permissions['assign Contact opérationnel role'] = array(
    'name' => 'assign Contact opérationnel role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Premium role'.
  $permissions['assign Premium role'] = array(
    'name' => 'assign Premium role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Student role'.
  $permissions['assign Student role'] = array(
    'name' => 'assign Student role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Unverified role'.
  $permissions['assign Unverified role'] = array(
    'name' => 'assign Unverified role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Utilisateur Alpha Tester role'.
  $permissions['assign Utilisateur Alpha Tester role'] = array(
    'name' => 'assign Utilisateur Alpha Tester role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Utilisateur role'.
  $permissions['assign Utilisateur role'] = array(
    'name' => 'assign Utilisateur role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign administrator role'.
  $permissions['assign administrator role'] = array(
    'name' => 'assign administrator role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign all roles'.
  $permissions['assign all roles'] = array(
    'name' => 'assign all roles',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'display drupal links'.
  $permissions['display drupal links'] = array(
    'name' => 'display drupal links',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'edit node original values'.
  $permissions['edit node original values'] = array(
    'name' => 'edit node original values',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'edit node translation shared fields'.
  $permissions['edit node translation shared fields'] = array(
    'name' => 'edit node translation shared fields',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'edit original values'.
  $permissions['edit original values'] = array(
    'name' => 'edit original values',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'edit taxonomy_term original values'.
  $permissions['edit taxonomy_term original values'] = array(
    'name' => 'edit taxonomy_term original values',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'edit taxonomy_term translation shared fields'.
  $permissions['edit taxonomy_term translation shared fields'] = array(
    'name' => 'edit taxonomy_term translation shared fields',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'edit translation shared fields'.
  $permissions['edit translation shared fields'] = array(
    'name' => 'edit translation shared fields',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'export_translations'.
  $permissions['export_translations'] = array(
    'name' => 'export_translations',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'flush caches'.
  $permissions['flush caches'] = array(
    'name' => 'flush caches',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'import_translations'.
  $permissions['import_translations'] = array(
    'name' => 'import_translations',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'participate in workflow'.
  $permissions['participate in workflow'] = array(
    'name' => 'participate in workflow',
    'roles' => array(
      'Adhérent' => 'Adhérent',
      'Contact opérationnel' => 'Contact opérationnel',
      'Premium' => 'Premium',
      'Student' => 'Student',
      'Translator CN' => 'Translator CN',
      'Translator EN' => 'Translator EN',
      'Translator FR' => 'Translator FR',
      'Unverified' => 'Unverified',
      'Utilisateur' => 'Utilisateur',
      'Utilisateur Alpha Tester' => 'Utilisateur Alpha Tester',
      'administrator' => 'administrator',
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
      'root' => 'root',
    ),
    'module' => 'workflow_admin_ui',
  );

  // Exported permission: 'refresh_strings'.
  $permissions['refresh_strings'] = array(
    'name' => 'refresh_strings',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'schedule workflow transitions'.
  $permissions['schedule workflow transitions'] = array(
    'name' => 'schedule workflow transitions',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'workflow',
  );

  // Exported permission: 'select different theme'.
  $permissions['select different theme'] = array(
    'name' => 'select different theme',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'admin',
  );

  // Exported permission: 'send newsletter'.
  $permissions['send newsletter'] = array(
    'name' => 'send newsletter',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'simplenews',
  );

  // Exported permission: 'show workflow state form'.
  $permissions['show workflow state form'] = array(
    'name' => 'show workflow state form',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'workflow',
  );

  // Exported permission: 'subscribe to newsletters'.
  $permissions['subscribe to newsletters'] = array(
    'name' => 'subscribe to newsletters',
    'roles' => array(
      'Adhérent' => 'Adhérent',
      'Contact opérationnel' => 'Contact opérationnel',
      'Premium' => 'Premium',
      'Student' => 'Student',
      'Utilisateur' => 'Utilisateur',
      'administrator' => 'administrator',
      'anonymous user' => 'anonymous user',
      'root' => 'root',
    ),
    'module' => 'simplenews',
  );

  // Exported permission: 'subscribe to simplenews category 6274'.
  $permissions['subscribe to simplenews category 6274'] = array(
    'name' => 'subscribe to simplenews category 6274',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'materio_user',
  );

  // Exported permission: 'subscribe to simplenews category 6374'.
  $permissions['subscribe to simplenews category 6374'] = array(
    'name' => 'subscribe to simplenews category 6374',
    'roles' => array(
      'Adhérent' => 'Adhérent',
      'Utilisateur Alpha Tester' => 'Utilisateur Alpha Tester',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'materio_user',
  );

  // Exported permission: 'subscribe to simplenews category 6585'.
  $permissions['subscribe to simplenews category 6585'] = array(
    'name' => 'subscribe to simplenews category 6585',
    'roles' => array(
      'Utilisateur Alpha Tester' => 'Utilisateur Alpha Tester',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'materio_user',
  );

  // Exported permission: 'toggle field translatability'.
  $permissions['toggle field translatability'] = array(
    'name' => 'toggle field translatability',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'translate admin strings'.
  $permissions['translate admin strings'] = array(
    'name' => 'translate admin strings',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'i18n_string',
  );

  // Exported permission: 'translate any entity'.
  $permissions['translate any entity'] = array(
    'name' => 'translate any entity',
    'roles' => array(
      'Translator CN' => 'Translator CN',
      'Translator EN' => 'Translator EN',
      'Translator FR' => 'Translator FR',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'translate content'.
  $permissions['translate content'] = array(
    'name' => 'translate content',
    'roles' => array(
      'Translator CN' => 'Translator CN',
      'Translator EN' => 'Translator EN',
      'Translator FR' => 'Translator FR',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'translation',
  );

  // Exported permission: 'translate node entities'.
  $permissions['translate node entities'] = array(
    'name' => 'translate node entities',
    'roles' => array(
      'Translator CN' => 'Translator CN',
      'Translator EN' => 'Translator EN',
      'Translator FR' => 'Translator FR',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'translate taxonomy_term entities'.
  $permissions['translate taxonomy_term entities'] = array(
    'name' => 'translate taxonomy_term entities',
    'roles' => array(
      'Translator CN' => 'Translator CN',
      'Translator EN' => 'Translator EN',
      'Translator FR' => 'Translator FR',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'entity_translation',
  );

  // Exported permission: 'translate user-defined strings'.
  $permissions['translate user-defined strings'] = array(
    'name' => 'translate user-defined strings',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'i18n_string',
  );

  // Exported permission: 'translate_strings'.
  $permissions['translate_strings'] = array(
    'name' => 'translate_strings',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  // Exported permission: 'update_modules_translations'.
  $permissions['update_modules_translations'] = array(
    'name' => 'update_modules_translations',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'translate_perms',
  );

  return $permissions;
}
