<?php
/**
 * @file
 * materio_administration.features.menu_links.inc
 */

/**
 * Implements hook_menu_default_menu_links().
 */
function materio_administration_menu_default_menu_links() {
  $menu_links = array();

  // Exported menu link: navigation_add-user:admin/people/create.
  $menu_links['navigation_add-user:admin/people/create'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/people/create',
    'router_path' => 'admin/people/create',
    'link_title' => 'Add user',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_add-user:admin/people/create',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -50,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_users:https://materio.com/en/admin/users?rid=6',
  );
  // Exported menu link: navigation_adhsions:node/11186/webform-results.
  $menu_links['navigation_adhsions:node/11186/webform-results'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'node/11186/webform-results',
    'router_path' => 'node/%/webform-results',
    'link_title' => 'Adhésions',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_adhsions:node/11186/webform-results',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -43,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_users:https://materio.com/en/admin/users?rid=6',
  );
  // Exported menu link: navigation_company:admin/structure/taxonomy_manager/voc/company.
  $menu_links['navigation_company:admin/structure/taxonomy_manager/voc/company'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/structure/taxonomy_manager/voc/company',
    'router_path' => 'admin/structure',
    'link_title' => 'Company',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_company:admin/structure/taxonomy_manager/voc/company',
    ),
    'module' => 'menu',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 9,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_taxonomy-manager:admin/structure/taxonomy_manager/voc',
  );
  // Exported menu link: navigation_compose-tips:filter/tips.
  $menu_links['navigation_compose-tips:filter/tips'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'filter/tips',
    'router_path' => 'filter/tips',
    'link_title' => 'Compose tips',
    'options' => array(
      'identifier' => 'navigation_compose-tips:filter/tips',
    ),
    'module' => 'system',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 1,
    'expanded' => 0,
    'weight' => -44,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );
  // Exported menu link: navigation_customers:http://www.materio.com/fr/admin/store/customers.
  $menu_links['navigation_customers:http://www.materio.com/fr/admin/store/customers'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'http://www.materio.com/fr/admin/store/customers',
    'router_path' => '',
    'link_title' => 'customers',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_customers:http://www.materio.com/fr/admin/store/customers',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 1,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 1,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_store:http://www.materio.com/fr/admin/store',
  );
  // Exported menu link: navigation_feedback:admin/reports/feedback.
  $menu_links['navigation_feedback:admin/reports/feedback'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/reports/feedback',
    'router_path' => 'admin/reports/feedback',
    'link_title' => 'Feedback',
    'options' => array(
      'identifier' => 'navigation_feedback:admin/reports/feedback',
      'attributes' => array(),
      'item_attributes' => array(
        'id' => '',
        'class' => '',
        'style' => '',
      ),
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -40,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_users:https://materio.com/en/admin/users?rid=6',
  );
  // Exported menu link: navigation_formulaires-dadhsion:http://www.materio.com/fr/node/11186/webform-results.
  $menu_links['navigation_formulaires-dadhsion:http://www.materio.com/fr/node/11186/webform-results'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'http://www.materio.com/fr/node/11186/webform-results',
    'router_path' => '',
    'link_title' => 'Formulaires d\'adhésion',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_formulaires-dadhsion:http://www.materio.com/fr/node/11186/webform-results',
    ),
    'module' => 'menu',
    'hidden' => 1,
    'external' => 1,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -42,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_users:https://materio.com/en/admin/users?rid=6',
  );
  // Exported menu link: navigation_frequently-asked-questions:faq-page.
  $menu_links['navigation_frequently-asked-questions:faq-page'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'faq-page',
    'router_path' => 'faq-page',
    'link_title' => 'Frequently Asked Questions',
    'options' => array(
      'identifier' => 'navigation_frequently-asked-questions:faq-page',
    ),
    'module' => 'system',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -41,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );
  // Exported menu link: navigation_ip-address-tracking:admin/reports/ip_tracking.
  $menu_links['navigation_ip-address-tracking:admin/reports/ip_tracking'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/reports/ip_tracking',
    'router_path' => 'admin/reports/ip_tracking',
    'link_title' => 'IP address tracking',
    'options' => array(
      'attributes' => array(
        'title' => 'View IP addresses and the users associated with them.',
      ),
      'identifier' => 'navigation_ip-address-tracking:admin/reports/ip_tracking',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -40,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );
  // Exported menu link: navigation_mandrill:admin/reports/mandrill.
  $menu_links['navigation_mandrill:admin/reports/mandrill'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/reports/mandrill',
    'router_path' => 'admin/reports',
    'link_title' => 'Mandrill',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_mandrill:admin/reports/mandrill',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -39,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );
  // Exported menu link: navigation_my-sessions:mysessions.
  $menu_links['navigation_my-sessions:mysessions'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'mysessions',
    'router_path' => 'mysessions',
    'link_title' => 'My sessions',
    'options' => array(
      'identifier' => 'navigation_my-sessions:mysessions',
    ),
    'module' => 'system',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -43,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );
  // Exported menu link: navigation_node-export-import:node/add/node_export.
  $menu_links['navigation_node-export-import:node/add/node_export'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'node/add/node_export',
    'router_path' => 'node/add/node_export',
    'link_title' => 'Node export: import',
    'options' => array(
      'attributes' => array(
        'title' => 'Import content using <em>Node export</em>.',
      ),
      'identifier' => 'navigation_node-export-import:node/add/node_export',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -44,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_ajouter-du-contenu:node/add',
  );
  // Exported menu link: navigation_onthologie:admin/structure/taxonomy_manager/voc/onthologie.
  $menu_links['navigation_onthologie:admin/structure/taxonomy_manager/voc/onthologie'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/structure/taxonomy_manager/voc/onthologie',
    'router_path' => 'admin/structure',
    'link_title' => 'Onthologie',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_onthologie:admin/structure/taxonomy_manager/voc/onthologie',
    ),
    'module' => 'menu',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_taxonomy-manager:admin/structure/taxonomy_manager/voc',
  );
  // Exported menu link: navigation_orders:admin/store/orders/view.
  $menu_links['navigation_orders:admin/store/orders/view'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/store/orders/view',
    'router_path' => 'admin/store/orders/view',
    'link_title' => 'Orders',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_orders:admin/store/orders/view',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_store:http://www.materio.com/fr/admin/store',
  );
  // Exported menu link: navigation_reports:admin/store/reports.
  $menu_links['navigation_reports:admin/store/reports'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/store/reports',
    'router_path' => 'admin/store/reports',
    'link_title' => 'Reports',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_reports:admin/store/reports',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 2,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_store:http://www.materio.com/fr/admin/store',
  );
  // Exported menu link: navigation_shopping-cart:cart.
  $menu_links['navigation_shopping-cart:cart'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'cart',
    'router_path' => 'cart',
    'link_title' => 'Shopping cart',
    'options' => array(
      'attributes' => array(
        'title' => 'View/modify the contents of your shopping cart or proceed to checkout.',
      ),
      'identifier' => 'navigation_shopping-cart:cart',
    ),
    'module' => 'system',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -42,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );
  // Exported menu link: navigation_store:http://www.materio.com/fr/admin/store.
  $menu_links['navigation_store:http://www.materio.com/fr/admin/store'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'http://www.materio.com/fr/admin/store',
    'router_path' => '',
    'link_title' => 'Store',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_store:http://www.materio.com/fr/admin/store',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 1,
    'has_children' => 1,
    'expanded' => 0,
    'weight' => -38,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );
  // Exported menu link: navigation_subscriptions-newsletter:admin/people/simplenews.
  $menu_links['navigation_subscriptions-newsletter:admin/people/simplenews'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/people/simplenews',
    'router_path' => 'admin/people/simplenews',
    'link_title' => 'Subscriptions newsletter',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_subscriptions-newsletter:admin/people/simplenews',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -41,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_users:https://materio.com/en/admin/users?rid=6',
  );
  // Exported menu link: navigation_tag-libres:admin/structure/taxonomy_manager/voc/tag_libres.
  $menu_links['navigation_tag-libres:admin/structure/taxonomy_manager/voc/tag_libres'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'admin/structure/taxonomy_manager/voc/tag_libres',
    'router_path' => 'admin/structure',
    'link_title' => 'Tag Libres',
    'options' => array(
      'attributes' => array(),
      'identifier' => 'navigation_tag-libres:admin/structure/taxonomy_manager/voc/tag_libres',
    ),
    'module' => 'menu',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 8,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
    'parent_identifier' => 'navigation_taxonomy-manager:admin/structure/taxonomy_manager/voc',
  );
  // Exported menu link: navigation_user-account:user.
  $menu_links['navigation_user-account:user'] = array(
    'menu_name' => 'navigation',
    'link_path' => 'user',
    'router_path' => 'user',
    'link_title' => 'User account',
    'options' => array(
      'alter' => TRUE,
      'attributes' => array(),
      'identifier' => 'navigation_user-account:user',
    ),
    'module' => 'system',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -50,
    'customized' => 1,
    'language' => 'und',
    'menu_links_customized' => 1,
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Add user');
  t('Adhésions');
  t('Company');
  t('Compose tips');
  t('Feedback');
  t('Formulaires d\'adhésion');
  t('Frequently Asked Questions');
  t('IP address tracking');
  t('Mandrill');
  t('My sessions');
  t('Node export: import');
  t('Onthologie');
  t('Orders');
  t('Reports');
  t('Shopping cart');
  t('Store');
  t('Subscriptions newsletter');
  t('Tag Libres');
  t('User account');
  t('customers');

  return $menu_links;
}
